package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkChannelCommentCreateCommentCreateInfo struct {
	/*
	   商家评价Id     */
	OutCommentId *string `json:"out_comment_id,omitempty" `

	/*
	   履约门店名称     */
	StoreName *string `json:"store_name,omitempty" `

	/*
	   履约门店Id     */
	StoreId *string `json:"store_id,omitempty" `

	/*
	   盒马主单号     */
	BizOrderId *string `json:"biz_order_id,omitempty" `

	/*
	   盒马子单号     */
	SubBizOrderId *string `json:"sub_biz_order_id,omitempty" `

	/*
	   类目名称     */
	Category *string `json:"category,omitempty" `

	/*
	   商品金额     */
	Price *int64 `json:"price,omitempty" `

	/*
	   商品名称     */
	SkuName *string `json:"sku_name,omitempty" `

	/*
	   商品编码     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   评价日期     */
	CommentDate *util.LocalTime `json:"comment_date,omitempty" `

	/*
	   评价星级     */
	CommentStar *string `json:"comment_star,omitempty" `

	/*
	   评价内容     */
	CommentContent *string `json:"comment_content,omitempty" `

	/*
	   评价图片     */
	CommentPics *string `json:"comment_pics,omitempty" `

	/*
	   评价标签     */
	CommentTag *string `json:"comment_tag,omitempty" `

	/*
	   差评原因     */
	CommentReason *string `json:"comment_reason,omitempty" `

	/*
	   差评回评     */
	ReviewReason *string `json:"review_reason,omitempty" `
}

func (s *AlibabaWdkChannelCommentCreateCommentCreateInfo) SetOutCommentId(v string) *AlibabaWdkChannelCommentCreateCommentCreateInfo {
	s.OutCommentId = &v
	return s
}
func (s *AlibabaWdkChannelCommentCreateCommentCreateInfo) SetStoreName(v string) *AlibabaWdkChannelCommentCreateCommentCreateInfo {
	s.StoreName = &v
	return s
}
func (s *AlibabaWdkChannelCommentCreateCommentCreateInfo) SetStoreId(v string) *AlibabaWdkChannelCommentCreateCommentCreateInfo {
	s.StoreId = &v
	return s
}
func (s *AlibabaWdkChannelCommentCreateCommentCreateInfo) SetBizOrderId(v string) *AlibabaWdkChannelCommentCreateCommentCreateInfo {
	s.BizOrderId = &v
	return s
}
func (s *AlibabaWdkChannelCommentCreateCommentCreateInfo) SetSubBizOrderId(v string) *AlibabaWdkChannelCommentCreateCommentCreateInfo {
	s.SubBizOrderId = &v
	return s
}
func (s *AlibabaWdkChannelCommentCreateCommentCreateInfo) SetCategory(v string) *AlibabaWdkChannelCommentCreateCommentCreateInfo {
	s.Category = &v
	return s
}
func (s *AlibabaWdkChannelCommentCreateCommentCreateInfo) SetPrice(v int64) *AlibabaWdkChannelCommentCreateCommentCreateInfo {
	s.Price = &v
	return s
}
func (s *AlibabaWdkChannelCommentCreateCommentCreateInfo) SetSkuName(v string) *AlibabaWdkChannelCommentCreateCommentCreateInfo {
	s.SkuName = &v
	return s
}
func (s *AlibabaWdkChannelCommentCreateCommentCreateInfo) SetSkuCode(v string) *AlibabaWdkChannelCommentCreateCommentCreateInfo {
	s.SkuCode = &v
	return s
}
func (s *AlibabaWdkChannelCommentCreateCommentCreateInfo) SetCommentDate(v util.LocalTime) *AlibabaWdkChannelCommentCreateCommentCreateInfo {
	s.CommentDate = &v
	return s
}
func (s *AlibabaWdkChannelCommentCreateCommentCreateInfo) SetCommentStar(v string) *AlibabaWdkChannelCommentCreateCommentCreateInfo {
	s.CommentStar = &v
	return s
}
func (s *AlibabaWdkChannelCommentCreateCommentCreateInfo) SetCommentContent(v string) *AlibabaWdkChannelCommentCreateCommentCreateInfo {
	s.CommentContent = &v
	return s
}
func (s *AlibabaWdkChannelCommentCreateCommentCreateInfo) SetCommentPics(v string) *AlibabaWdkChannelCommentCreateCommentCreateInfo {
	s.CommentPics = &v
	return s
}
func (s *AlibabaWdkChannelCommentCreateCommentCreateInfo) SetCommentTag(v string) *AlibabaWdkChannelCommentCreateCommentCreateInfo {
	s.CommentTag = &v
	return s
}
func (s *AlibabaWdkChannelCommentCreateCommentCreateInfo) SetCommentReason(v string) *AlibabaWdkChannelCommentCreateCommentCreateInfo {
	s.CommentReason = &v
	return s
}
func (s *AlibabaWdkChannelCommentCreateCommentCreateInfo) SetReviewReason(v string) *AlibabaWdkChannelCommentCreateCommentCreateInfo {
	s.ReviewReason = &v
	return s
}
